Bug 496173 - ybin doesn't seem to be ran on PPC installs, system is not bootable
ybin doesn't seem to be ran on PPC installs, system is not bootable
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11Preview F11AnacondaBlocker
  Show dependency treegraph
 
Reported: 2009-04-16 19:46 EDT by Jesse Keating
Modified: 2013-01-09 22:29 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-22 12:48:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2009-04-16 19:46:52 EDT
On a ppc32 install I just did the bootloader doesn't seem to actually be installed.  I had to rescue it and run ybin in order to have a boot loader.  After that everything worked.
Comment 1 Chris Lumens 2009-04-17 13:25:15 EDT
We should be running /sbin/mkofboot here instead of ybin.  Can you attach all the usual log files to this bug report, or should I wait until rawhide syncs up to take it for a spin locally?
Comment 2 Jesse Keating 2009-04-17 13:37:09 EDT
I didn't notice that things weren't setup right until after I rebooted, and once I did that, storage.log and program.log were missing (we should be saving those!).  Once rawhide syncs here I'll try another install to try and reproduce it.
Comment 3 Jesse Keating 2009-04-17 19:52:09 EDT
Got the log message

Running ... ['/sbin/mkofboot', '/sbin/mkofboot', '-f', '-C', '/boot/etc/yaboot.conf']

If you notice, the program is passed twice as arguments.  I tracked this back to a change from using rhpl.exec to iutil when execing things and a difference in how they treat arguments.  I've submitted a patch that should fix this upstream.
Comment 4 David Cantrell 2009-04-17 20:24:01 EDT
Your fix will be in anaconda-11.5.0.46-1.
Comment 5 Jesse Keating 2009-04-22 12:48:45 EDT
Confirmed fixed.

Note You need to log in before you can comment on or make changes to this bug.